program x;

var h:array[1..1000] of integer;
    l,n,i,br:integer;

begin
    read(n,l);
    for i:=1 to n do read(h[i]);
    br:=-1;
    for i:=n downto 1 do
        if h[i]<=l then br:=i;
    writeln(br);
end.